#global git_short

Name:		geary
Version:	0.2.0
Release:	1%{?git_short:.git%{git_short}}%{?dist}
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
URL:		http://yorba.org/geary/

%if "%{?git_short}" != ""
# git_short=%%{git_short}
# git archive ${git_short} --prefix geary-${git_short}/ |
# bzip2 > geary-${git_short}.tar.bz2
Source0:	%{name}-%{git_short}.tar.bz2
%else
Source0:	http://yorba.org/download/geary/stable/%{name}-%{version}.tar.xz
%endif
# http://redmine.yorba.org/issues/5942
Patch0:		geary-0.2.0-desktop.patch

BuildRequires:	vala >= 0.17.4
BuildRequires:	cmake
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(gee-1.0) >= 0.6.0
BuildRequires:	pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.5
BuildRequires:	pkgconfig(libcanberra) >= 0.28
BuildRequires:	pkgconfig(sqlite3) >= 3.7.4
BuildRequires:	pkgconfig(gmime-2.6) >= 2.6.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.2
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.8.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	hicolor-icon-theme


%description
Geary is a new email reader for GNOME designed to let you read your
email quickly and effortlessly. Its interface is based on
conversations, so you can easily read an entire discussion without
having to click from message to message. Geary is still in early
development and has limited features today, but we're planning to add
drag-and-drop attachments, lightning-fast searching, multiple account
support and much more. Eventually we'd like Geary to have an
extensible plugin architecture so that developers will be able to add
all kinds of nifty features in a modular way.


%prep
%setup -q %{?git_short:-n %{name}-%{git_short}}
%patch0 -p1


%build
%cmake -DVALA_EXECUTABLE:FILEPATH=%{_bindir}/valac-0.18 \
       -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# see http://redmine.yorba.org/issues/5692
find %{buildroot}%{_datadir}/glib-2.0/schemas -type f -a \( \
  -name org.yorba.geary.gschema.xml -o -delete \)

desktop-file-validate %{buildroot}%{_datadir}/applications/geary.desktop

%find_lang %{name} --with-gnome


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS MAINTAINERS README THANKS
%{_bindir}/geary
%{_datadir}/geary
%{_datadir}/applications/geary.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/apps/geary.*


%changelog
* Thu Oct  4 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.2.0-1
- Update to 0.2.0.

* Sun Sep 16 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.90-1.git9867509
- Update to current head.
- Fix icon items in %%files.

* Sat Sep  1 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-3.gitb6c50c2
- Update to current head.

* Wed Aug 22 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-2.git5665a4f
- Update to current head.
- Remove wildcards from %%files section.
- Do not pack other binaries than 'geary'.

* Sun Aug 19 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-1.git4ff24e0
- New package.
